/* TestCAPI
 * A simple test for the Message producer C API
 * This has to be written using plain-good-old C
 *
 *
 * by Fabrizio Furano, CERN, Oct 2010
 *
 *
 * Parameters:
 *    TestCAPI <URI> [-t <topicname>]
 *
 *    An example URI is: "tcp://gridmsg002.cern.ch:6166?wireformat=openwire&transport.commandTracingEnabled=true"
 *
 *
 *
 *
 */


#include "../src/MsgProducerCAPI.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main (int argc, char *argv[]) {

   if (argc < 2) {
      printf("Usage: \n");
      printf("TestProducer <config file>\n");
      return 1;
   }

   if (MsgProd_Init_cfgfile(argv[1])) {
      printf("Trouble initializing.\n");
      exit(1);
   }


   MsgProd_Notifysillymessage("Hi man!");
   MsgProd_NotifyNotAvailable("MyDN", "/my_dir/my_file");

   MsgProd_Terminate();
}
